common_config:
  allowed_account_ids:
    - 123456789046
  region: us-east-1
  default_tags:
    environment: dev
    project: labs

vpc:
  example-1:
    cidr: "10.0.0.0/16"
    azs:
      - "us-east-1a"
      - "us-east-1b"
      - "us-east-1c"
    private_subnets:
      - "10.0.1.0/24"
      - "10.0.2.0/24"
    public_subnets:
      - "10.0.3.0/24"
      - "10.0.4.0/24"
    database_subnets:
      - "10.0.5.0/24"
      - "10.0.6.0/24"
    elasticache_subnets:
      - "10.0.7.0/24"
      - "10.0.8.0/24"
    redshift_subnets:
      - "10.0.9.0/24"
      - "10.0.10.0/24"
    intra_subnets:
      - "10.0.11.0/24"
      - "10.0.12.0/24"

    create_database_subnet_route_table: true
    create_elasticache_subnet_route_table: true
    create_redshift_subnet_route_table: true

    single_nat_gateway: true
    enable_nat_gateway: true
